Portaal Portaal Pingviini veeb foorumi pealeht
  Viki  |  IRC  |  Otsing  |  Küsimused ja vastused  |  Profiil  |  Privaatsõnumite vaatamiseks logi sisse  | Logi sisse või Registreeru
<empty>
Vaata järgmist teemat
Vaata eelmist teemat

Postita uus teemaVasta teemale
Autor Sõnum
HooligaN
Pingviini kasutaja
Pingviini kasutaja



Liitunud: 12.09.2010
Postitused: 43

Distributsioon: Gentoo beginner
blank.gif
postituspostitatud: 26.10.2011, 14:51  postituse pealkiri:  emerge sys-auth/pambase error?  

Mure selline juba mitmendat päeva.

http://forums.gentoo.org/viewtopic-t-898456.html

Proovisin "portage-utils" uuesti paigaldada kuid see muret ei lahendanud.
Netist olen ka otsinud, ainuke viide gentoo foorumile.

Mis nyyd saab? Smile


urmas
Pingviini kasutaja
Pingviini kasutaja


Vanus: 41
Liitunud: 25.07.2006
Postitused: 92
Asukoht: Tartu
Distributsioon: Gentoo
estonia.gif
postituspostitatud: 26.10.2011, 15:51  postituse pealkiri:  (teema puudub)  

"stable" pakid on sellised mille saad vaikimisi portagest ning tähendab "töötab". unstable (masked by keyword) märgib selliseid pakke mis on testimisel või "ei tööta"

Loe Gentoo Fundamentals -> What are masked packages?

Antud juhul pead eemaldama/välja kommenteerima /etc/portage/package.keywords/monolithic (või mis iganes fail sul selle monolithic asemel võib olla) failis rea kus on kirjas portage-utils


HooligaN
Pingviini kasutaja
Pingviini kasutaja



Liitunud: 12.09.2010
Postitused: 43

Distributsioon: Gentoo beginner
blank.gif
postituspostitatud: 26.10.2011, 19:23  postituse pealkiri:  (teema puudub)  

mul on make.conf -is rida

ACCEPT_KEYWORDS="~x86"

package.keywords -i paketi lisamine ei andnud soovitud tulemust

sys-auth/pambase-20101024-r1 jääb seisma real >>> Compiling source in /var/tmp/portage/sys-auth/pambase-20101024-r1/work/pambase-20101024 ... ja üks prose tuum uhab täiega, samalajal teine nullis ja conky näitab "qatom 100%"
ja nii võibki ootama jääda.


urmas
Pingviini kasutaja
Pingviini kasutaja


Vanus: 41
Liitunud: 25.07.2006
Postitused: 92
Asukoht: Tartu
Distributsioon: Gentoo
estonia.gif
postituspostitatud: 27.10.2011, 10:08  postituse pealkiri:  (teema puudub)  

Wohoo! pean'd hoogu..

ACCEPT_KEYWORDS="~x86" - ajab sul kõik pakid unstableks ja sellega peakski jutt lõppenud olema.
Soovitaks sul nüüd gentoo install nullist uuesti teha.

ps. keywords faili paki lisamine teeb täpselt vastupidist sellele mida sa tahad


imre
Vana Pingviin
Vana Pingviin



Liitunud: 16.08.2005
Postitused: 2545
Asukoht: Saku kant
Distributsioon: Ubuntu
estonia.gif
postituspostitatud: 27.10.2011, 11:43  postituse pealkiri:  (teema puudub)  

ACCEPT_KEYWORDS="~x86" kohta oli ka Gentoo dokumentatsioonis (mälu järgi vähemalt) info, et keerab asja pekki.

_________________
Enne teema püstitamist kasutage OTSINGUT
Küsi targalt: Infot siit !
Kui aru ei saa, siis küsi.

HooligaN
Pingviini kasutaja
Pingviini kasutaja



Liitunud: 12.09.2010
Postitused: 43

Distributsioon: Gentoo beginner
blank.gif
postituspostitatud: 27.10.2011, 19:22  postituse pealkiri:  (teema puudub)  

Ma olen elanud nyydseks gentoo unstablega pea 6 kuud, alati on saadud probleemidest jagu (juhul kui ta annab mingi errori) gentoo.org foorumist olen lugenud kus tyybid on elanud 4 aastat "on egde with unstable"

samas mind see sys-auth/pambase jama eriti ei hirmuta... mu systeem töötab enivei. Tahtsin lihtsalt vea jälile saada - võibolla ongi viga selles, et mul ~x86

Kunagi alguses ei tahtnud mul LibreOffice kompilleeruda - 3 nädalat läks aega kuni lõpuks asi peale läks.... äkki on see ainult ootamise kysimus?


urmas
Pingviini kasutaja
Pingviini kasutaja


Vanus: 41
Liitunud: 25.07.2006
Postitused: 92
Asukoht: Tartu
Distributsioon: Gentoo
estonia.gif
postituspostitatud: 27.10.2011, 20:12  postituse pealkiri:  (teema puudub)  

HooligaN kirjutas:
3 nädalat läks aega kuni lõpuks asi peale läks...


Küsimus tekib - "miks sul seda unstablet vaja on?"

veritseva serva peal elamiseks peab olema tõsine tahtmine ja vajadus testida kõige uuemaid pakke ning ollagi valmis igasugusteks jamadeks. Kas sul on vaja? kas oled häkker ja vajad linuxi sügavustes kaevamist?

Ps. kui tahdki serva peal elada, siis on quoted tekst ka lahendus sinu probleemile.
Pps. stable gentoo on piisavalt värske (pakkidest viimased versioonid) võrreldes paljude teiste distrodega (kuigi see oli mõned aastad tagasi parem)
Ppps. kui vajad mõnest üksikust pakist unstable (nagu näiteks firefox) siis saab teha ka segu selliselt enamus süsteemist on stable ja üksikud asjad unstable (selleks ongi keywords fail)


illukas
Vana Pingviin
Vana Pingviin


Vanus: 38
Liitunud: 24.10.2006
Postitused: 2036


norway.gif
postituspostitatud: 27.10.2011, 21:38  postituse pealkiri:  (teema puudub)  

on the edge elamisega ei ole midagi halba, kes elab uute pakettide janus kes elab oma harimise eesmärgil. Nagu näha siiani on ilusti hakkama saanud, seega tubli saavutus ja tere tulemast klubisse.

Sinule soovitaks seda, et las see pakett olla praegust, lase natuke aega mööda vaat mis siis saab. Ise olen mitmeid korda gcc bugi otsa sattunud ja aeg on kõik haavad parandanud(koos bug raportidega).

Pane vanem versioon oma paketist, las mingi aeg elada sellepeal.
PS kas sa oled vahepeal kompilaatorit vahetanud ja süsteemi ei ole ümber kompileerinud? Kui tuleb kompilaatori uuendus ja otsustad systeemis kompilaatori ümber vahetada TULEB alati ka kogu süsteem ümber kompileerida!

Keep on going!

_________________
https://www.inlink.ee

HooligaN
Pingviini kasutaja
Pingviini kasutaja



Liitunud: 12.09.2010
Postitused: 43

Distributsioon: Gentoo beginner
blank.gif
postituspostitatud: 29.10.2011, 22:37  postituse pealkiri:  (teema puudub)  

Ma olin algul üsna hädas nende masked pakettidega... kiire guugeldus andiski mulle tulemuseks ACCEPT_KEYWORDS="~x86" mis hoobilt lahendas probleemid.
Samas ma peaksin mõned korrad veel gentood installima, et asjast rohkem sotti saada.
Nyyd tuleb ainult oodata millal talvevaheaeg hakkab siis tekib vähe rohkem vaba aega kooli ja töö kõrvalt.


Näita (aja järgi):      
Postita uus teemaVasta teemale


Vaata järgmist teemat
Vaata eelmist teemat
Powered by phpBB2 Plus based on phpBB © 2001/7 phpBB Group